# vim: set sw=4 ts=4 et:
# Copyright (c) 2008-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           kdenlive
Version:        0.8
Release:        1.2
License:        GNU General Public License version 2 or later (GPLv2+)
Provides:       kde4-kdenlive = %{version}
Obsoletes:      kde4-kdenlive < %{version}
Summary:        Non-linear video editing application for KDE
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://kdenlive.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# http://prdownloads.sourceforge.net/kdenlive/kdenlive-%{version}.tar.gz
Source:         kdenlive-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gamin-devel
BuildRequires:  ladspa
BuildRequires:  libavc1394-devel
BuildRequires:  libdv-devel
BuildRequires:  libffmpeg-devel libamrnb-devel
BuildRequires:  libiec61883-devel
BuildRequires:  libjack-devel jack
BuildRequires:  libkde4-devel
BuildRequires:  libogg-devel
BuildRequires:  libquicktime-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsoprano-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  mDNSResponder-devel
BuildRequires:  mlt-devel >= 0.7
BuildRequires:  mlt++-devel
BuildRequires:  phonon-backend-xine
BuildRequires:  qt-devel
BuildRequires:  SDL-devel
BuildRequires:  sox-devel
BuildRequires:  libqjson-devel
BuildRequires:  libkde4-devel
BuildRequires:  update-desktop-files
Requires:       mlt
Requires:       dvdauthor
Requires:       dvgrab >= 2.0
Requires:       jack
%kde4_runtime_requires
Requires:       ladspa
Requires:       ladspa-swh-plugins
Requires:       sox
Requires:       licenses
BuildRequires:  dvdauthor
BuildRequires:  dvgrab >= 2.0
BuildRequires:  jack
BuildRequires:  ladspa-swh-plugins
BuildRequires:  sox
BuildRequires:  mlt

%description
Kdenlive is a non-linear vdeo editor for KDE. It relies on a
separate renderer, piave, to handle it's rendering. Kdenlive
supports multitrack editing.

%lang_package

%prep
%setup -q -n kdenlive-%{version}

%build
%__install -dm 755 build

pushd build
%cmake_kde4 ..
%__make %{?jobs:-j%{jobs}} VERBOSE=1
popd

%install
pushd build
%makeinstall VERBOSE=1
popd

%suse_update_desktop_file -n kdenlive AudioVideo AudioVideoEditing

%find_lang kdenlive

%fdupes -s %{buildroot}

%kde_post_install

%__ln_s -f /usr/share/doc/licenses/md5/$(md5sum COPYING|cut -f1 -d" ") COPYING

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%doc %{_mandir}/man1/kdenlive.1%{ext_man}
%doc %{_mandir}/man1/kdenlive_render.1%{ext_man}
%{_bindir}/kdenlive
%{_bindir}/kdenlive_render
%{_libdir}/kde4/libkdenlive_sampleplugin.so
%{_libdir}/kde4/westleypreview.so
%{_datadir}/kde4/apps/kdenlive
%{_datadir}/kde4/config/kdenlive_projectprofiles.knsrc
%{_datadir}/kde4/config/kdenlive_renderprofiles.knsrc
%{_datadir}/kde4/config/kdenlive_wipes.knsrc
%{_datadir}/kde4/config/kdenlive_titles.knsrc
%{_datadir}/kde4/config/kdenlivetranscodingrc
%{_datadir}/kde4/config/kdenliveeffectscategory.rc
%{_datadir}/kde4/config.kcfg/kdenlivesettings.kcfg
%{_datadir}/kde4/services/westleypreview.desktop
%{_datadir}/applications/kde4/kdenlive.desktop
%{_datadir}/mime/packages/kdenlive.xml
%{_datadir}/mime/packages/westley.xml
%dir %{_datadir}/menu
%{_datadir}/menu/kdenlive
%{_datadir}/pixmaps/kdenlive.xpm
%{_datadir}/icons/*/*/apps/kdenlive.*
%{_datadir}/icons/*/*/mimetypes/application-x-kdenlivetitle.*
%{_datadir}/icons/*/*/mimetypes/application-x-kdenlive.*
%{_datadir}/icons/*/*/mimetypes/video-mlt-playlist.*

%files lang -f kdenlive.lang

%changelog
* Wed Sep 29 2010 pascal.bleser@opensuse.org
- update to 0.7.8
* Fri Mar  5 2010 toni@links2linux.de
- update to 0.7.7.1
- fix bug in composite transition seek to position feature:
  http://www.kdenlive.org/mantis/view.php?id=1452
- fix transition corruption with non english locales:
  http://www.kdenlive.org/mantis/view.php?id=1450
* Wed Feb 17 2010 toni@links2linux.de
- update to 0.7.7
  * Improved keyboard navigation
  * Timeline editing mode (normal, overwrite)
  * Fix compatibility issue with Qt 4.6
  * Allow shutdown after render when using Gnome Session manager
  * Improved titler (now supports font outline)
  * Editing properties for several clips at once (for example aspect ratio)
* Fri Oct  9 2009 pascal.bleser@opensuse.org
- update to 0.7.6:
  * many crash and timeline corruption issues have been fixed
* Fri Oct  2 2009 Manfred.Tremmel@iiv.de
- update to 0.7.5
* Mon Jun  1 2009 toni@links2linux.de
- update to 0.7.4
* Thu May 21 2009 toni@links2linux.de
- rebuild with mlt/mlt++-0.3.8 (mlt-0.4.0 seems to break kdenlive)
* Mon May 18 2009 toni@links2linux.de
- rebuild with mlt/mlt++-0.4.0
* Wed Apr 15 2009 toni@links2linux.de
- update to 0.7.3
- added lang-sub-package
* Tue Feb  3 2009 toni@links2linux.de
- rebuild with mlt/mlt++-0.3.6
* Mon Feb  2 2009 toni@links2linux.de
- update to 0.7.2.1
* Sun Feb  1 2009 toni@links2linux.de
- update to 0.7.2
* Mon Dec 29 2008 toni@links2linux.de
- update to 0.7.1
* Fri Nov 14 2008 toni@links2linux.de
- update to 0.7
* Wed Nov 12 2008 toni@links2linux.de
- update to 0.7beta1
* Fri Oct 31 2008 toni@links2linux.de
- update to r2603
* Tue Sep 23 2008 toni@links2linux.de
- update to r2404
* Fri Aug  8 2008 toni@links2linux.de
- update to r2364
* Wed Jul  9 2008 toni@links2linux.de
- initial build for kde4 0.6.0 r2302
